commit 602db800a5d245534004cd17312b018fb264c29d
Author: freddy77 <freddy77>
Date:   Fri Mar 6 20:18:39 2009 +0000

    fix really stupid core

diff --git a/ChangeLog b/ChangeLog
index ddc36d5..ab4b9ca 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Mar  6 21:18:28 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/query.c: fix really stupid core
+
 Fri Mar  6 18:34:12 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/sql2tds.c src/odbc/unittests/genparams.c:
 	- add and fix test for text
@@ -1385,4 +1388,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2744 2009/03/06 17:34:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2745 2009/03/06 20:18:39 freddy77 Exp $
diff --git a/src/tds/query.c b/src/tds/query.c
index 0d094f9..91f59e3 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
- * Copyright (C) 2006, 2007, 2008  Frediano Ziglio
+ * Copyright (C) 2006, 2007, 2008, 2009  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.233 2009/03/06 02:27:14 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.234 2009/03/06 20:18:51 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len);
@@ -1450,12 +1450,6 @@ tds_put_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 	CHECK_TDS_EXTRA(tds);
 	CHECK_COLUMN_EXTRA(curcol);
 
-	src = curcol->column_data;
-	if (is_blob_type(curcol->column_type)) {
-		blob = (TDSBLOB *) src;
-		src = (unsigned char *) blob->textvalue;
-	}
-
 	tdsdump_log(TDS_DBG_INFO1, "tds_put_data: colsize = %d\n", (int) colsize);
 
 	if (curcol->column_cur_size < 0) {
@@ -1479,6 +1473,12 @@ tds_put_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 
 	size = tds_fix_column_size(tds, curcol);
 
+	src = curcol->column_data;
+	if (is_blob_type(curcol->column_type)) {
+		blob = (TDSBLOB *) src;
+		src = (unsigned char *) blob->textvalue;
+	}
+
 	s = (char *) src;
 
 	/* convert string if needed */

